64 bit firefox + flash + java plugins?

Is it possible to use 64bit firefox with flash and java plugins (which
only come 32 bit)? I tried a symbolic link from
/usr/lib/browser-plugins/libflashplayer.so to
/usr/lib64/browser-plugins but no success.

Are 64 bit users still forced to install 32 bit firefox? Isn't it time
to start developping 64 bit plugins, since this problem is getting
irritating, with every new release of a distro again the same 64 bit
problems...

And oh is there a special 64 bit section on the forum? Couldn't find it
and I know there used to be one on suseforums.net

greetz


-- 
suskewiet
------------------------------------------------------------------------



0
suskewiet
6/21/2008 9:56:03 PM
opensuse.org.help.applications 21533 articles. 1 followers. Follow

7 Replies
610 Views

Similar Articles

[PageSpeed] 44

nspluginwrapper - 
'nspluginwrapper [Web > Gwenole Beauchesne]'
(http://gwenole.beauchesne.info//en/projects/nspluginwrapper)
flash worked for me on OS_10.2/.3_64,
don't know about java


-- 
dtl13
------------------------------------------------------------------------
dtl13's Profile: http://forums.opensuse.org/member.php?userid=2107
View this thread: http://forums.opensuse.org/showthread.php?t=386683

0
dtl13
6/21/2008 10:46:04 PM
I think java 32bit won't run on firefox 64 bit. For that I changed my
architecture of firefox to 32 bit to keep all my plugins running.

cu
Gargi


-- 
HRGargi
------------------------------------------------------------------------
HRGargi's Profile: http://forums.opensuse.org/member.php?userid=2036
View this thread: http://forums.opensuse.org/showthread.php?t=386683

0
HRGargi
6/22/2008 12:46:03 AM
HRGargi;1822710 Wrote: 
> I think java 32bit won't run on firefox 64 bit.the nspluginwrapper won't work with Sun's 32bit java plugin on FF 64bit,
and neither do they (Sun) currently offer a 64bit plugin.

But a 64bit plugin is available.  See:
- 'Java/How To use Java with Firefox on 64-bit openSuSE 10.3 -
openSUSE' (http://tinyurl.com/5j3xpw) ..... download the x86_64 rpm's
from 'Index of /distribution/SL-OSS-factory/inst-source/suse/x86_64'
(http://tinyurl.com/5v6vdm) and use rpm to install as described in the
above link ... you will likely need to install the other things
mentioned ... but the error messages should be clear enough to provide
a trail as to what to do ... just follow the rabbit.

Some background info here:
- 'OpenJDK' (http://openjdk.java.net/)
- 'Main Page - IcedTea' (http://icedtea.classpath.org/wiki/Main_Page)

For general use I have found that it (OpenJDK 1.6) works well (though,
of course, YMMV) ... unfortunately, I do have one use scenario (re: use
of SSL) under which I have encountered an error/bug present in the
current 1.6 build in factory ... though I know that it has been fixed
in the development releases ... hoping that an updated build gets
compiled soon ... I have tried building a current OpenJDK release on my
own but one of the required packages to do so mysteriously freezes smart
when I try to acquire it ... haven't tried to acquire it with YAST yet,
and may not bother)


-- 
Tyler_K
------------------------------------------------------------------------
Tyler_K's Profile: http://forums.opensuse.org/member.php?userid=2127
View this thread: http://forums.opensuse.org/showthread.php?t=386683

0
Tyler
6/22/2008 3:46:05 AM
When I install 32 bit firefox it doesn't even start anymore and this
error appears in terminal:

Could not find compatible GRE between version 1.9.0 and 1.9.0.

It's strange that there aren't any dependencies issues either with the
64 bit plugins of Mplayer and totem...

What does this error mean?


-- 
suskewiet
------------------------------------------------------------------------
suskewiet's Profile: http://forums.opensuse.org/member.php?userid=791
View this thread: http://forums.opensuse.org/showthread.php?t=386683

0
suskewiet
6/22/2008 8:36:04 AM
I use Firefox 64bit and for java openJDK6 and the 64bit plugin. Works so
far on what i've tested.
Flash is 32bit but it's working somehow.

regards,
Carlos


-- 
CJPB
------------------------------------------------------------------------
CJPB's Profile: http://forums.opensuse.org/member.php?userid=1905
View this thread: http://forums.opensuse.org/showthread.php?t=386683

0
CJPB
6/22/2008 10:06:05 AM
suskewiet;1822887 Wrote: 
> When I install 32 bit firefox it doesn't even start anymore and this
> error appears in terminal:
> 
> Could not find compatible GRE between version 1.9.0 and 1.9.0.
> 
> It's strange that there aren't any dependencies issues either with the
> 64 bit plugins of Mplayer and totem...
> 
> What does this error mean?

Switch mozilla-xulrunner190 to 32bit and also install
*mozilla-xulrunner190-32bit*. That should fix the problem.

@64bit Java (IcedTea): It installs fine, but I got tons of errors
loading some applets. Not very stable yet I think.


-- 
HRGargi
------------------------------------------------------------------------
HRGargi's Profile: http://forums.opensuse.org/member.php?userid=2036
View this thread: http://forums.opensuse.org/showthread.php?t=386683

0
HRGargi
6/22/2008 11:26:05 AM
Tyler_K;1822785 Wrote: 
> 
> But a 64bit plugin is available.  See:
> - 'Java/How To use Java with Firefox on 64-bit openSuSE 10.3 -
> openSUSE' (http://tinyurl.com/5j3xpw) ..... download the x86_64 rpm's
> from 'Index of /distribution/SL-OSS-factory/inst-source/suse/x86_64'
> (http://tinyurl.com/5v6vdm) and use rpm to install as described in the
> above link 

I verify that the manual process
"http://en.opensuse.org/Java/How_To_use_Java_with_Firefox_on_64-bit_openSuSE_10.3#The_OpenJDK6_and_IcedTea7"
works.

Used: The OpenJDK6 and IcedTea7; Rpm way
I downloaded the 2 rpms
installed with "rpm -ihv /path/packagename"
checked in Tools > Add-Ons -- it was there

Tested with: 'Mini Putt 3 - Free Sports Game from AddictingGames'
(http://www.addictinggames.com/miniputt3.html)

Have fun:)


-- 
nForce5, AMD 5600+; Sager 4750V, AMD 3700+; both openSUSE 11.0 rc1
x86-64
------------------------------------------------------------------------
snakedriver's Profile: http://forums.opensuse.org/member.php?userid=71
View this thread: http://forums.opensuse.org/showthread.php?t=386683

0
snakedriver
6/22/2008 1:26:05 PM
Reply:

Similar Artilces:

How to make work java plugin, flash in 64 bit?
Hi, I have just installed OpenSuse 11.0 64 bits. But there are some things I do not like. How can I make work java plugin, flash player and wine without problems in Firefox 64 bits? If I cannot do that I will have to go back 32 bits. Thanks -- fmeneuhe ------------------------------------------------------------------------ fmeneuhe wrote: > > Hi, > I have just installed OpenSuse 11.0 64 bits. But there are some things > I do not like. > How can I make work java plugin, flash player and wine without problems > in Firefox 64 bits? > If I cann...

Proper Adobe Flash in 64 bit KUbuntu Linux with Firefox on 64 bit AMD processor? ; jor
What is the proper way to get Adobe Flash running in 64 bit KUbuntu Linux with Firefox on a 64 bit AMD processor? Adobe says they have discontinued work on their 64 bit version for now. Is it ok to use the only version of AF 10.1 they make available for linux on a KUbuntu 10.4 AND 64 bit version, running FF? On #firefox on irc: kbrosnan: 32 bit won't work by default, your distro may have a way to run 32 bit firefox or a program called nspluginwrapper can allow you to run 32 bit flash in 64 bit firefox Any idea what the proper way for Ubuntu is? Thanks :) ...

Firefox 3.6.3 does not works with java 64 bits plugin
Name: neodarkman Email: vnlinuxatbrturbodotcomdotbr Product: Firefox Summary: Firefox 3.6.3 does not works with java 64 bits plugin Comments: Firefox 3.6.3 does not works with java 64 bits plugin in jre-6u19-linux-x64.bin (linking /jre1.60_19/lib/amd64/libnpjp.so to /firefox/plugins/). The firefox dos not recongnize this plugin. Sorry my english, Iḿ brazilian My system is: Kubuntu 9.10 + updates 64 Bit version Core2Quad kernel: Linux core2quad 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12 04:38:19 UTC 2010 x86_64 GNU/Linux Thanks Browser Details: Mozilla/5.0 (X1...

Migration from 32 bit application to 64 bit application
 Hi,I already have existing asp.net site which is running on 32 bit box with 2.0 framework and sql 2005. Can i migrate this application to 64 bit box  with 3.0 framework? What are the benefits i would get in this migration? would there be any performance gains in terms of speed? What kind of issues i can expect to have in this migrationthanksPrady  Not sure if you are going to gain any benefit out of it. It would be a minor performance enhancement (due to 64bit) that might not be visible to users' eyes..NET 3.0/Sql Server 2005 are fully compatible w/ 64 bit, so you won&#...

Help in 64-bit application
Hello, could you tell me how (or using what application) to create help application to can run in 64-bit C++? Thank you Frantisek Linhart ...

64-bit TB needs 64-bit plugins
Is it true? Can it use 32-bit plugins? -- @~@ You have the right to remain silent. / v \ Simplicity is Beauty! /( _ )\ May the Force and farces be with you! ^ ^ (x86_64 Ubuntu 9.10) Linux 2.6.39.3 不借貸! 不詐騙! 不援交! 不打交! 不打劫! 不自殺! 請考慮綜援 (CSSA): http://www.swd.gov.hk/tc/index/site_pubsvc/page_socsecu/sub_addressesa In article <dOadnXN0re6DudjTnZ2dnUVZ_sydnZ2d@mozilla.org>, toylet.toylet@gmail.com says... > > Is it true? Can it use 32-bit plugins? No, it cannot use 32b plugins, nether FF can. It is general rule for every 64bit application, that it...

Mozilla Firefox 32 bit, Mozilla Firefox 64 bit
Name: Patrick Dreier Email: patrickdotdreieratmymaildotch Product: Firefox Summary: Mozilla Firefox 32 bit, Mozilla Firefox 64 bit Comments: Sehr geehrte Damen und Herren! Könnt Ihr bitte ein Mozilla Firefox für Windows XP Professional 32 bit: Mozilla_Firefox_wxp_x86_Setup_2_0_0_13.exe und einen Mozilla Firefox für Windows XP Professional 64 bit: Mozilla_Firefox_wxp_x64_Setup_2_0_0_13.exe programmieren! Hochachtungsvoll! Browser Details: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1) ...

Create a production build of Firefox for Microsoft 64-bit OSs (Vista 64, MS Windows 2008 Server 64-bit)
Name: Dmitry Viazmin Email: dmitrydotviazminattutdotby Product: Firefox Summary: Create a production build of Firefox for Microsoft 64-bit OSs (Vista 64, MS Windows 2008 Server 64-bit) Comments: Hi, It would be great to get a production build of Firefox for Microsoft 64-bit OSs (Vista 64, MS Windows 2008 Server 64-bit). Do you plan to do that? Best Regards, Dmitry Viazmin Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3 From URL: http://hendrix.mozilla.org/ Note to readers: Hendrix gives no expectation of a...

Firefox 64 bit, windows, flash
Name: Krzysztof Email: uhzzreatgmaildotcom Product: Minefield Summary: Firefox 64 bit, windows, flash Comments: Hi, I am using nightly builds of firefox 64bit version for windows. I know that flash is not available to the 64bit version. My question is - why? Since firefox is executing some plugins (like flash) in other process - can't it execute 32bit process for 32bit version of flash? It should be doable... Browser Details: Mozilla/5.0 (Windows; Windows NT 6.1; Win64; x64; en-US; rv:2.0b2pre) Gecko/20100703 Minefield/4.0b2pre Creative ZENcast v1.02.11 From URL: htt...

Flash fullscreen with Firefox in 64-bit
openSuse 11.0 Firefox Flash Hulu video This one's a puzzler. I'm trying to get fullscreen flash video (from hulu) to work without stuttering. The odd thing is, if I run firefox from my profile, it stutters. But if I open a terminal, su - to root, and then start Firefox -- it works just fine! Can someone tell me what I should be looking at that makes the difference? And how I can bring them into alignment? -- jbailo ------------------------------------------------------------------------ Ok, it gets more puzzling. I created a brand new user/pro...

Help in 64-bit application [Edit]
Hello, could you tell me how to create help in application to can run in 64-bit C++? Thank you Frantisek Linhart Edited by: Frantisek Linhart on Jan 14, 2015 6:59 AM ...

Integration of java application as plugin with Firefox
Hi All, We have developed a small application in java. We want to integrate with Firefox as a plugin in Firefox. Will that be possible.If Yes can anyone please tell How can we integrate our application as a plugin in FireFox. * Thanks & Regards Punpun Mishra * PunPun Mishra wrote: > Hi All, > > We have developed a small application in java. > > We want to integrate with Firefox as a plugin in Firefox. > > Will that be possible.If Yes can anyone please tell How can we integrate our > application as a plugin in FireFox. > * > &...

Help in 64-bit application [Edit]
Hello, could you tell me how to create help in application to can run in 64-bit C++? Thank you Frantisek Linhart Edited by: Frantisek Linhart on Jan 14, 2015 6:59 AM ...

64-bit Adobe Flash plugin
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"> <html> <head> <style type="text/css"> body { font: Helvetica, Arial, sans-serif; } p { font: Helvetica, Arial, sans-serif; } ..standout { font-family: verdana, arial, sans-serif; font-size: 12px; color: #993333; line-height: 13px; font-weight: bold; margin-bottom: 10px; } ..code { border-top: 1px solid #ddd; border-left: 1px solid #ddd; border-right: 2px solid #000; border-bottom: 2px solid #000; padding: 10px; ma...

Web resources about - 64 bit firefox + flash + java plugins? - opensuse.org.help.applications

Category:AutoWikiBrowser plugins - Wikipedia, the free encyclopedia
Wikipedia® is a registered trademark of the Wikimedia Foundation, Inc. , a non-profit organization.

Facebook Timeline Remover Google Chrome Plugin Tweaks HTML Code
Exoot Systems released yet another browser plugin that promises to remove timeline for profiles , but unlike others in the past, this one provides ...

Third-Party Plugins, Services and SDKs
... community to make it easier to integrate with Facebook. Here are a couple of new docs on the site to help you get started more quickly. Plugins ...

New Facebook Activity Stream Plugin Brings Filtered Stream to Any Website
At today’s f8 conference, Facebook announced several new products, including a series of social “plugins” (widgets) that enable third-party websites ...

Google launches Unity plugin to help developers make Chromecast-compatible games
Google has today launched the Google Cast Remote Display plugin for Unity, in hopes that developers will now be able to more easily bring their ...

Messages, Events Added to Facebook Page Plugin
Facebook has added messages and events to its page plugin , which it launched earlier this year. Front-end engineer Yugal Jindle revealed the ...

Google slams AVG for exposing Chrome user data with “security” plugin
Safer browsing... except someone can watch everything you search? A free plugin installed by AVG AntiVirus bypassed the security of Google's ...

Mozilla to drop NPAPI plugins from Firefox
Mozilla will kill "most" NPAPI plugins in Firefox almost two years after Google took the same action with Chrome. Back in September 2014, Google ...

5 Reliable Plugins for Monitoring Your WordPress Site
... be it a blog , an ecommerce store , an affiliate site , and so on. Not only is it easy to implement and use, it also supports tons of plugins ...

Google Cast Remote Display Plugin for Unity
Posted by Leon Nicholls , Developer Programs Engineer Today we launched the Google Cast Remote Display plugin for Unity to make it easy to take ...

Resources last updated: 1/5/2016 10:11:09 AM